Package Gnumed :: Package business :: Module gmOrganization :: Class cOrgUnit |
[frames] | no frames]

# Class cOrgUnit

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cOrgUnit

Instance Methods
get_comm_channels(self, comm_medium=None) | source code
link_comm_channel(self, comm_medium=None, url=None, is_confidential=False, pk_channel_type=None) Link a communication medium with this org unit. | source code
unlink_comm_channel(self, comm_channel=None) | source code
link_address(self, id_type=None, address=None) | source code
unlink_address(self, address=None, pk_address=None) Remove an address from the org unit. | source code
format(self, with_address=False, with_org=True, with_comms=False) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| address
| organization
| org
| comm_channels
Inherited from `object`: `__class__`

Method Details

### link_comm_channel(self, comm_medium=None, url=None, is_confidential=False, pk_channel_type=None) | source code
Link a communication medium with this org unit. @param comm_medium The name of the communication medium. @param url The communication resource locator. @type url A types.StringType instance. @param is_confidential Wether the data must be treated as confidential. @type is_confidential A types.BooleanType instance.

### unlink_address(self, address=None, pk_address=None) | source code
Remove an address from the org unit. The address itself stays in the database. The address can be either cAdress or cPatientAdress.

### format(self, with_address=False, with_org=True, with_comms=False) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Property Details

### address Get Method: _get_address(self) Set Method: _set_address(self, address)

### organization Get Method: _get_org(self) Set Method: unreachable(x)

### org Get Method: _get_org(self) Set Method: unreachable(x)

### comm_channels Get Method: get_comm_channels(self, comm_medium=None) Set Method: unreachable(x)